All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Interface TreeNodeInterface

All Superinterfaces:
  NodeInterface, SimpleNodeInterface

All Known Subinterfaces:
  TreeNodeV2Interface

All Known Implementing Classes:
  LevelTreeNode, ProgressiveLevelTreeNode, TreeNode, TreeNodeAdaptor

    public interface TreeNodeInterface

extends NodeInterface

TreeNodeInterface is an interface for creating tree node.

See Also:
  `TreeNode`

Method Summary
`abstract java.lang.String` | `getDefaultImage()` Returns the name of the image to be displayed when the node is not expanded.
`abstract java.lang.String` | `getExpandedImage()` Returns the name of the image to be displayed for the expanded node.
`abstract java.lang.String` | `getName()` getName returns the name of the node.
`abstract java.lang.String` | `getText()` getText returns the text associated with the node.
`abstract java.lang.String` | `getURL()` Returns the url associated with all the node.
`abstract boolean` | `isExpanded()` isExpanded returns the boolean value that incidcates whether a node is expanded.
`abstract boolean` | `isLastNode()` Returns the boolean value lastNode which determines if a node is the last node in a set of children.
`abstract void` | `setDefaultImage(java.lang.String Image)` Sets the name of the image to be displayed when the node is exanded.
`abstract void` | `setExpanded(boolean expanded)` setExpandedState sets the state of the node.
`abstract void` | `setExpandedImage(java.lang.String Image)` Sets the name of the image to be displayed for the expanded node.
`abstract void` | `setLastNode(boolean lastNode)` Sets the boolean value lastNode to determine if a node is the last node of a set of children.
`abstract void` | `setName(java.lang.String name)` setName sets the name of the node object.
`abstract void` | `setText(java.lang.String text)` Sets the text associated with the node.
`abstract void` | `setURL(java.lang.String url)` Sets the url associated with node.

Methods inherited from interface com.sas.models.NodeInterface
`getNodeExpandedText, getNodeText, getNodeType`

Methods inherited from interface com.sas.models.SimpleNodeInterface
`countNodeChildren, getNodeChild, getNodeChildCount, getNodeChildren, isLeafNode`

Method Detail

### getDefaultImage

    java.lang.String getDefaultImage()

  Returns the name of the image to be displayed when the node is not expanded. The image name must be an absolute or relative URL.

  Parameters:
    `Image` - the URL for defaultImage.

### setDefaultImage

    void setDefaultImage(java.lang.String Image)

  Sets the name of the image to be displayed when the node is exanded. The image name must be an absolute or relative URL.

  Parameters:
    `Image` - the URL for defaultImage.

### getExpandedImage

    java.lang.String getExpandedImage()

  Returns the name of the image to be displayed for the expanded node. The image name must be an absolute or relative URL.

  Returns:
    name the name of the expanded image.

### setExpandedImage

    void setExpandedImage(java.lang.String Image)

  Sets the name of the image to be displayed for the expanded node. The image name must be an absolute or relative URL.

  Parameters:
    `Image` - the name of the expandedImage.

### getURL

    java.lang.String getURL()

  Returns the url associated with all the node.

  Returns:
    name of the URL.

### setURL

    void setURL(java.lang.String url)

  Sets the url associated with node.

  Parameters:
    `url` - the value of the url.

### setText

    void setText(java.lang.String text)

  Sets the text associated with the node. This is the text that will be displayed next to the image on the node.

  Parameters:
    `text` - the text string that is to be displayed next to the node.

### getText

    java.lang.String getText()

  getText returns the text associated with the node. This is the text that will be displayed next to the node image.

### setExpanded

    void setExpanded(boolean expanded)

  setExpandedState sets the state of the node. If the node is to be expanded and show it's childern. This will also determine if the ExpandedImage or Image is to be used as the image. Default value is false. True indicates the image is expanded.

  Parameters:
    `expanded` - boolean value which determines if a node is expanded.

### isExpanded

    boolean isExpanded()

  isExpanded returns the boolean value that incidcates whether a node is expanded.

### setName

    void setName(java.lang.String name)

  setName sets the name of the node object.

  Parameters:
    `name` - string name of the node.

### getName

    java.lang.String getName()

  getName returns the name of the node.

### setLastNode

    void setLastNode(boolean lastNode)

  Sets the boolean value lastNode to determine if a node is the last node of a set of children. Defauts to false.

  Parameters:
    `lastNode` - boolean value lastNode, true if node is the lastNode, false otherwise.

### isLastNode

    boolean isLastNode()

  Returns the boolean value lastNode which determines if a node is the last node in a set of children.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.